### Function

# Fwupd Codec json_append_int

deprecated: 2.1.1 since: 2.0.0

#### Declaration [src]

    void
    fwupd_codec_json_append_int (
      FwupdJsonObject* json_obj,
      const gchar* key,
      guint64 value
    )

#### Description [src]

Appends a key and unsigned integer to a JSON object.

Deprecated for fwupd_json_object_add_integer().

Available since: 2.0.0

Deprecated since: 2.1.1

Please do not use it in newly written code.

#### Parameters

`json_obj`

  Type: `FwupdJsonObject`

  A `FwupdJsonObject`.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `guint64`

  Guint64.